@font-face {
  font-family: Cera Pro;
  font-weight: 400;
  src: url(../assets/CeraPro-6e898994.ttf)
}

@font-face {
  font-family: Cera Pro;
  font-weight: 500;
  src: url(../assets/CeraProMedium-68415c8e.otf)
}

@font-face {
  font-family: Cera Pro;
  font-weight: 600;
  src: url(../assets/CeraProBold-ca2bcc9e.otf)
}

*,
:before,
:after {
  box-sizing: border-box;
  border-width: 0;
  border-style: solid;
  border-color: #e5e7eb
}

html {
  line-height: 1.25;
  -webkit-text-size-adjust: 100%;
  -moz-tab-size: 4;
  -o-tab-size: 4;
  tab-size: 4;
  font-family: Cera Pro, system-ui, -apple-system, BlinkMacSystemFont, Segoe UI, Roboto, Oxygen, Ubuntu, Cantarell, Open Sans, Helvetica Neue, sans-serif;
  font-feature-settings: normal;
  font-variation-settings: normal;
  /* min-height: 100%;
  height: auto;
  height: 100%; */
  max-height: none;
}

body {
  margin: 0;
  line-height: inherit
}

hr {
  height: 0;
  color: #000;
  border-top-width: 1px
}

abbr:where([title]) {
  -webkit-text-decoration: underline dotted;
  text-decoration: underline dotted
}

h1,
h2,
h3,
h4,
h5,
h6 {
  font-size: inherit;
  font-weight: inherit
}

a {
  color: inherit;
  text-decoration: inherit
}

b,
strong {
  font-weight: bolder
}

code,
kbd,
samp,
pre {
  font-family: ui-monospace, SFMono-Regular, Menlo, Monaco, Consolas, Liberation Mono, Courier New, monospace;
  font-size: 1em
}

small {
  font-size: 80%
}

sub,
sup {
  font-size: 75%;
  line-height: 0;
  position: relative;
  vertical-align: baseline
}

sub {
  bottom: -.25em
}

sup {
  top: -.5em
}

table {
  text-indent: 0;
  border-color: inherit;
  border-collapse: collapse
}

button,
input,
optgroup,
select,
textarea {
  font-family: inherit;
  font-size: 100%;
  font-weight: inherit;
  line-height: inherit;
  color: inherit;
  margin: 0;
  padding: 0
}

button,
select {
  text-transform: none
}

button,
[type=button],
[type=reset],
[type=submit] {
  -webkit-appearance: button;
  appearance: button;
  background-color: transparent;
  background-image: none
}

:-moz-focusring {
  outline: auto
}

:-moz-ui-invalid {
  box-shadow: none
}

progress {
  vertical-align: baseline
}

::-webkit-inner-spin-button,
::-webkit-outer-spin-button {
  height: auto
}

[type=search] {
  -webkit-appearance: textfield;
  appearance: textfield;
  outline-offset: -2px
}

::-webkit-search-decoration {
  -webkit-appearance: none
}

::-webkit-file-upload-button {
  -webkit-appearance: button;
  font: inherit
}

summary {
  display: list-item
}

blockquote,
dl,
dd,
h1,
h2,
h3,
h4,
h5,
h6,
hr,
figure,
p,
pre {
  margin: 0
}

fieldset {
  margin: 0;
  padding: 0
}

legend {
  padding: 0
}

ol,
ul,
menu {
  list-style: none;
  margin: 0;
  padding: 0
}

textarea {
  resize: vertical
}

input::-moz-placeholder,
textarea::-moz-placeholder {
  opacity: 1;
  color: #9ca3af
}

input::placeholder,
textarea::placeholder {
  opacity: 1;
  color: #9ca3af
}

button,
[role=button] {
  cursor: pointer
}

:disabled {
  cursor: default
}

img,
svg,
video,
canvas,
audio,
iframe,
embed,
object {
  display: block;
}

img,
video {
  max-width: 100%;
  height: auto
}

[hidden] {
  display: none
}

.mainpage {
  height: auto !important;
}

body,
html,
#root {
  font-family: Cera Pro, system-ui, -apple-system, BlinkMacSystemFont, Segoe UI, Roboto, Oxygen, Ubuntu, Cantarell, Open Sans, Helvetica Neue, sans-serif;
  background-color: rgb(248 248 248);
  background-size: cover;
  width: 100%;
  min-height: 100%;
  height: 100% !important;
  max-height: none;
  margin: 0;
  padding: 0;
}

h1,
h2,
h3 {
  font-weight: 500
}

h1 {
  font-size: 2.25rem;
  /*line-height: 2.5rem*/
}

h2 {
  font-size: 1.5rem;
  /*line-height: 2rem*/
}

h3 {
  font-size: 1.25rem;
  /*line-height: 1.75rem*/
}

h4 {
  font-size: 1.125rem;
  /*line-height: 1.75rem*/
}



.btn-primary {
  --tw-text-opacity: 1;
  color: rgb(66 165 245 / var(--tw-text-opacity));
  background-color: #4fc3f74d
}

.btn-primary:hover {
  --tw-bg-opacity: 1;
  background-color: rgb(66 165 245 / var(--tw-bg-opacity));
  --tw-text-opacity: 1;
  color: rgb(248 248 248 / var(--tw-text-opacity))
}

.btn-secondary {
  --tw-text-opacity: 1;
  color: rgb(248 248 248 / var(--tw-text-opacity));
  background-color: rgb(66 165 245 / var(--tw-text-opacity)); /*55ad95*/
}

.btn-secondary:hover {
  --tw-bg-opacity: 1;
  background-color: #42a2f5;
  --tw-text-opacity: 1;
  color: rgb(0 0 0 / var(--tw-text-opacity))
}

#left-col {
  flex: 1;
  width: 20%;
  position: relative;
  overflow-y: scroll;
  word-break: break-word;
}

#right-col {
  flex: 4;
  width: 80%;
  overflow-y: auto;
  word-break: break-word;
}

#appContainer{
  display: flex;
  height: 100%;
  position: relative;
}

#markscheme, #report, #modal {
  z-index: 9999;
}

#markscheme-box, #report-box{
  min-height: 100%;
  overflow-y: scroll;
}

.square-container {
  display: flex;
  flex-direction: column;
  /* min-height: 100%;
  height: 100%;
  max-height: none; */
  width: auto;
  background-color: #ffffff;
  align-items: left;
  margin: 1em;
  border: 1px solid #ccc;
  border-radius: 8px;
  overflow: scroll; 
}

.specification {
  display: grid;
  align-items: flex-start;
  gap: 1em;
  margin: 10px;
}

.question {
  display: flex;
  /*flex-direction: column;*/
  max-width: 100%;
  flex-wrap: wrap;
  gap: 1em;
  margin: 10px;
  box-sizing: border-box;
}

.marks {
  order: 1;
  margin-left: auto;
}
.question_part_label {
  order: -1;
}

.dark-mode {
  filter: invert(100%);
}

.btn-primary {
  font-weight: 500;
  border-radius: .25rem;
  padding: .25rem;
  -webkit-padding-end: .5rem;
  padding-inline-end: .5rem;
  -webkit-padding-start: .5rem;
  padding-inline-start: .5rem
}

.btn-secondary {
  font-weight: 500;
  border-radius: .25rem;
  padding: .25rem;
  -webkit-padding-end: .5rem;
  padding-inline-end: .5rem;
  -webkit-padding-start: .5rem;
  padding-inline-start: .5rem
}

.fixed {
  position: fixed
}

.left-0 {
  left: 0px
}

.right-0 {
  right: 0px
}

.top-0 {
  top: 0px
}

.m-0 {
  margin: 0
}

.me-2 {
  -webkit-margin-end: .5rem;
  margin-inline-end: .5rem
}

.me-auto {
  -webkit-margin-end: auto;
  margin-inline-end: auto
}

.ms-2 {
  -webkit-margin-start: .5rem;
  margin-inline-start: .5rem
}

.ms-auto {
  -webkit-margin-start: auto;
  margin-inline-start: auto
}

.mt-16 {
  margin-top: 4rem
}

.mt-2 {
  margin-top: .5rem
}

.mt-32 {
  margin-top: 8rem
}

.mt-4 {
  margin-top: 1rem
}

.flex {
  display: flex
}

.hidden {
  display: none
}

.h-full {
  height: 100%;
  max-height: none;
  min-height: 100%;
}

.w-1\/5 {
  width: 20%
}

.w-4\/5 {
  width: 80%
}

.w-full {
  width: 100%
}

.shrink {
  flex-shrink: 1
}

.flex-grow,
.grow {
  flex-grow: 1
}

.basis-0 {
  flex-basis: 0px
}

.cursor-pointer {
  cursor: pointer
}

.flex-col {
  flex-direction: column
}

.items-start {
  align-items: flex-start
}

.items-center {
  align-items: center
}

.justify-center {
  justify-content: center
}

.justify-between {
  justify-content: space-between
}

.justify-evenly {
  justify-content: space-evenly
}

.overflow-auto {
  overflow: auto
}

.rounded {
  border-radius: .25rem
}

.rounded-full {
  border-radius: 9999px
}

.border {
  border-width: 1px
}

.bg-black\/70 {
  background-color: #000000b3
}

.bg-gray-100 {
  background-color: rgb(248 248 248)
}

.bg-gray-400\/30 {
  background-color: #9ca3af4d
}

.bg-red-300\/30 {
  background-color: #fca5a54d
}

.bg-secondary\/30 {
  background-color: #4fc3f74d
}

.bg-white {
  background-color: rgb(255 255 255)
}

.p-0 {
  padding: 0
}

.p-2 {
  padding: .5rem
}

.p-3 {
  padding: .75rem
}

.p-4 {
  padding: 1rem
}

.pt-3 {
  padding-top: .75rem
}

.pt-5 {
  padding-top: 1.25rem
}

.text-center {
  text-align: center
}

.font-sans {
  font-family: Cera Pro, system-ui, -apple-system, BlinkMacSystemFont, Segoe UI, Roboto, Oxygen, Ubuntu, Cantarell, Open Sans, Helvetica Neue, sans-serif
}

.font-serif {
  font-family: Times New Roman, Times, ui-serif, Georgia, Cambria, serif
}

.text-lg {
  font-size: 1.125rem;
  line-height: 1.75rem
}

.font-medium {
  font-weight: 500
}

.text-gray-500 {
  --tw-text-opacity: 1;
  color: rgb(107 114 128 / var(--tw-text-opacity))
}

.text-neutralVariant {
  --tw-text-opacity: 1;
  color: rgb(178 186 187 / var(--tw-text-opacity))
}

.text-primary {
  --tw-text-opacity: 1;
  color: rgb(66 165 245 / var(--tw-text-opacity))
}

.text-secondary {
  --tw-text-opacity: 1;
  color: rgb(79 195 247 / var(--tw-text-opacity))
}

@media (min-width: 768px) {
  .md\:h-3\/4 {
    height: 75%
  }

  .md\:w-1\/2 {
    width: 50%
  }

  .md\:w-3\/4 {
    width: 75%
  }
}

#landingPage {
  max-width: 1200px
}